//tueralarm.h : header file for the tueralarm project
//

#ifndef _TUERALARM_H_
#define _TUERALARM_H_

#include <io.h>
#include <wdt.h>
#include <sleep.h>
#include <Interrupt.h>
#include <inttypes.h>
#include <stdbool.h>

/////////////////////////////////////////////////////////////////////////////
//tueralarm

#define BUZZER_PORT PORTC
#define BUZZER_PIN  0

#define LED_PORT PORTC
#define LED_PIN  1

#define SWITCH_PORT PIND
#define SWITCH_PIN  2

#define CLOCK_MHZ 1
#define sleep(X) delay((X), CLOCK_MHZ * 1000)

#define SWITCH (!bit_is_set(SWITCH_PORT, SWITCH_PIN))
#define BUZZER_ON  sbi(BUZZER_PORT, BUZZER_PIN);
#define BUZZER_OFF cbi(BUZZER_PORT, BUZZER_PIN);
#define LED_ON  sbi(LED_PORT, LED_PIN);
#define LED_OFF cbi(LED_PORT, LED_PIN);

#define ALARM_DELAY_SEC 120 // how long has the switch to be active to start the alarm?
#define ALARM_CYCLE_MAX_SEC 82800 // 82800 == 23 hours, so if the user doesn't recognize the alarm, it will be audible every 23 hours

#endif
